Skip to main content

List all partners

List all partners for a partner program.
1 min read
get/partners
Request example
Response
get/partners

Authorization

Authorizationstringheaderrequired#
Default authentication mechanism

Query parameters

groupIdstring#
A filter on the list based on the partner's groupId field.
statusenum<string>#
A filter on the list based on the partner's status field.
Options:pendingapprovedrejectedinviteddeclineddeactivatedbannedarchived
countrystring#
A filter on the list based on the partner's country field.
sortByenum<string>#
The field to sort the partners by. The default is totalSaleAmount.

Default: "totalSaleAmount"

Options:createdAttotalClickstotalLeadstotalConversionstotalSaleAmounttotalCommissionsnetRevenueearningsPerClickaverageLifetimeValueclickToLeadRateclickToConversionRateleadToConversionRatereturnOnAdSpend
sortOrderenum<string>#
The sort order. The default is desc.

Default: "desc"

Options:ascdesc
emailstring#
Filter the partner list based on the partner's email. The value must be a string. Takes precedence over search.
tenantIdstring#
Filter the partner list based on the partner's tenantId. The value must be a string. Combines with the other filters.
pageinteger#
The page number for pagination. The first page is 1.

Range: true < x <= 9007199254740991

pageSizeinteger#
The number of items per page.

Default: 100

Range: true < x <= 100

Responses

application/json
The list of partners.
idstringrequired#
The partner's unique ID on Dub.
namestringrequired#
The partner's full legal name.

Length: max 190

usernamestringrequired#
The partner's unique username on Dub.
emailstringrequired#
The partner's email address. Should be a unique value across Dub.

Length: max 190

imagestringrequired#
The partner's avatar image.
descriptionstring#
A brief description of the partner and their background.

Length: max 5000

countrystringrequired#
The partner's country (required for tax purposes).
companyNamestringrequired#
If the partner profile type is a company, this is the partner's legal company name.

Length: max 190

networkStatusenum<string>required#
The partner's network status on Dub.
Options:draftsubmittedapprovedrejectedtrusted
defaultPayoutMethodenum<string>required#
The partner's default payout method. Connect: Bank account payouts via Stripe Connect; Stablecoin: USDC payouts directly to a crypto wallet; PayPal: Payouts via PayPal
Options:connectstablecoinpaypaltremendous
paypalEmailstringrequired#
The partner's PayPal email (for receiving payouts via PayPal).
stripeConnectIdstringrequired#
The partner's Stripe Connect ID (for receiving payouts via Stripe).
payoutsEnabledAtstringrequired#
The date when the partner enabled payouts.
identityVerifiedAtstringrequired#
The date when the partner's identity was verified.
programIdstringrequired#
The program's unique ID on Dub.
groupIdstring#
The partner's group ID on Dub.
partnerIdstringrequired#
The partner's unique ID on Dub.
tenantIdstringrequired#
The partner's unique ID within your database. Can be useful for associating the partner with a user in your database and retrieving/update their data in the future.
createdAtstringrequired#
statusenum<string>required#
The status of the partner's enrollment in the program.
Options:pendingapprovedrejectedinviteddeclineddeactivatedbannedarchived
totalCommissionsnumberrequired#
The total commissions paid to the partner for their referrals

Default: 0

clickRewardIdstring#
leadRewardIdstring#
saleRewardIdstring#
referralRewardIdstring#
discountIdstring#
applicationIdstring#
If the partner submitted an application to join the program, this is the ID of the application.
bannedAtstring#
If the partner was banned from the program, this is the date of the ban.
bannedReasonenum<string>#
If the partner was banned from the program, this is the reason for the ban.
Options:tos_violationinappropriate_contentfake_trafficfraudspambrand_abuse
referralFormDataobject#
Show child attributes
fieldsobject[]required#

Items: min 1

Show child attributes
applicationobject#
Linked program application, including review outcome when applicable.
Show child attributes
rejectionReasonenum<string>required#
Preset reason when the application was rejected.
Options:needsMoreDetaildoesNotMeetRequirementsnotTheRightFitother
rejectionNotestringrequired#
Free-form note when the application was rejected.
reviewedAtstringrequired#
When the application was approved or rejected.
tagsobject[]#
The tags associated with the partner.
Show child attributes
idstringrequired#
namestringrequired#
totalClicksnumberrequired#
The total number of clicks on the partner's links

Default: 0

totalLeadsnumberrequired#
The total number of leads generated by the partner's links

Default: 0

totalConversionsnumberrequired#
The total number of leads that converted to paying customers

Default: 0

totalSalesnumberrequired#
The total number of sales generated by the partner's links (includes recurring sales)

Default: 0

totalSaleAmountnumberrequired#
Total revenue generated by the partner's links

Default: 0

netRevenuenumberrequired#
Net revenue after commissions (Total Revenue - Total Commissions)

Default: 0

earningsPerClicknumber#
Earnings Per Click (EPC) (Total Revenue ÷ Total Clicks)
averageLifetimeValuenumber#
Average lifetime value for each paying customer (Total Revenue ÷ Total Conversions)
clickToLeadRatenumber#
Percentage of clicks that become leads (Total Leads ÷ Total Clicks)
clickToConversionRatenumber#
Percentage of clicks that convert to paying customers (Total Conversions ÷ Total Clicks)
leadToConversionRatenumber#
Percentage of leads that convert to paying customers (Total Conversions ÷ Total Leads)
returnOnAdSpendnumber#
Return On Ad Spend (ROAS) (Total Revenue ÷ Total Commissions)
websitestring#
The partner's website URL (including the https protocol).
youtubestring#
The partner's YouTube channel username (e.g. johndoe).
twitterstring#
The partner's Twitter username (e.g. johndoe).
linkedinstring#
The partner's LinkedIn username (e.g. johndoe).
instagramstring#
The partner's Instagram username (e.g. johndoe).
tiktokstring#
The partner's TikTok username (e.g. johndoe).
trustedAtstringdeprecated#
DEPRECATED: Use networkStatus instead.